Skip to main content
PATCH
/
blog_posts
/
{id_or_slug}
Typescript (SDK)
import { Crevio } from "@crevio/sdk";

const crevio = new Crevio({
  apiKey: process.env["CREVIO_API_KEY"] ?? "",
});

async function run() {
  const result = await crevio.blogPosts.update({
    idOrSlug: "<value>",
    blogPostRequest: {},
  });

  console.log(result);
}

run();
curl --request PATCH \
  --url https://api.crevio.co/v1/blog_posts/{id_or_slug} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "content": "<string>",
  "slug": "<string>",
  "excerpt": "<string>",
  "blog_category_id": 123,
  "published_at": "2023-11-07T05:31:56Z",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "seo_attributes": {
    "id": "<string>",
    "title": "<string>",
    "description": "<string>"
  }
}
'
import requests

url = "https://api.crevio.co/v1/blog_posts/{id_or_slug}"

payload = {
    "title": "<string>",
    "content": "<string>",
    "slug": "<string>",
    "excerpt": "<string>",
    "blog_category_id": 123,
    "published_at": "2023-11-07T05:31:56Z",
    "scheduled_at": "2023-11-07T05:31:56Z",
    "seo_attributes": {
        "id": "<string>",
        "title": "<string>",
        "description": "<string>"
    }
}
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    title: '<string>',
    content: '<string>',
    slug: '<string>',
    excerpt: '<string>',
    blog_category_id: 123,
    published_at: '2023-11-07T05:31:56Z',
    scheduled_at: '2023-11-07T05:31:56Z',
    seo_attributes: {id: '<string>', title: '<string>', description: '<string>'}
  })
};

fetch('https://api.crevio.co/v1/blog_posts/{id_or_slug}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "title": "<string>",
  "slug": "<string>",
  "content": "<string>",
  "excerpt": "<string>",
  "published_at": "2023-11-07T05:31:56Z",
  "scheduled_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "category": "<string>"
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "bad_request",
    "message": "The request was malformed or contained invalid parameters"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "authentication_required",
    "message": "You did not provide an API key."
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "forbidden",
    "message": "You do not have permission to perform this action"
  }
}
{
  "error": {
    "type": "invalid_request_error",
    "code": "resource_missing",
    "message": "The requested resource was not found"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_failed",
    "message": "Email is required",
    "errors": {
      "email": [
        "can't be blank"
      ]
    }
  }
}
{
  "error": {
    "type": "api_error",
    "code": "internal_error",
    "message": "An unexpected error occurred"
  }
}

Authorizations

Authorization
string
header
required

API key in the format: Bearer {api_token}

Path Parameters

id_or_slug
string
required

The resource prefix ID (e.g., "prod_abc123") or slug (e.g., "my-product")

Body

application/json
title
string
content
string
status
enum<string>
Available options:
draft,
published,
scheduled,
archived
slug
string
excerpt
string
blog_category_id
integer | null
published_at
string<date-time> | null
scheduled_at
string<date-time> | null
seo_attributes
object

Response

Blog post updated

id
string
required
object
string
required
title
string
required
slug
string
required
content
string
required
status
enum<string>
required
Available options:
draft,
published,
scheduled,
archived
excerpt
string
required
published_at
string<date-time> | null
required
scheduled_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
url
string
required
category
string | null
required